File: testsuite_prepare.patch

package info (click to toggle)
aces3 3.0.8-4
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 774,808 kB
  • ctags: 39,009
  • sloc: f90: 5,133,741; fortran: 381,059; ansic: 22,951; pascal: 7,515; cpp: 4,349; makefile: 1,711; csh: 292; sh: 144
file content (39 lines) | stat: -rw-r--r-- 1,595 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
Index: aces3-3.0.8/tests/Makefile
===================================================================
--- aces3-3.0.8.orig/tests/Makefile
+++ aces3-3.0.8/tests/Makefile
@@ -1,9 +1,11 @@
 include ../GNUmakefile.chssi
 
 # Default variable settings
-MPIRUN="mpirun ./xaces3 >./job.out"
-RUN_COMPARE="mpirun .xtest_compare "
+MPIRUN="mpirun -n 2 ./xaces3 >./job.out"
+RUN_COMPARE="mpirun ./xtest_compare "
 ENV_VARS=" "
+SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
+WORKDIR=`pwd`/..
 
 # Machine-specific variable settings
 
@@ -186,7 +188,9 @@ tests: % : ;
 	@mkdir $(INSTALL_DIR) ; 
 	@for mytest in $(TESTS) ; \
 	 do mkdir $(INSTALL_DIR)/$$mytest || exit 1; \
-	    cp $(GENBAS) $(ACES3_EXE)/xaces3 $(ACES3_EXE)/xtest_compare $(INSTALL_DIR)/$$mytest || exit 1; \
+	    ln -s $(ACES3_EXE)/../tests/$(GENBAS) $(INSTALL_DIR)/$$mytest || exit 1; \
+	    ln -s $(ACES3_EXE)/xaces3 $(INSTALL_DIR)/$$mytest || exit 1; \
+	    ln -s $(ACES3_EXE)/xtest_compare $(INSTALL_DIR)/$$mytest || exit 1; \
 	    cp zmat_$$mytest $(INSTALL_DIR)/$$mytest/ZMAT || exit 1; \
 	 done
 	
@@ -206,8 +210,7 @@ scripts: % : ;
 	   do echo >>runscript  ; \
 	      echo \#\#\# Test $$test \#\#\# >>runscript ; \
 	      echo cd $(INSTALL_DIR)/$$test >>runscript ; \
-              echo lfs setstripe BLOCKDATA  0 -1 -1 >>runscript ; \
-              echo lfs setstripe BLOCKDATA2 0 -1 -1 >>runscript ; \
+	      echo "echo Running $$test" >>runscript ; \
 	      echo "echo Running $$test >>../monitor_tests" >>runscript ; \
               echo "date >>../monitor_tests" >>runscript ; \
 	      echo $(MPIRUN) >>runscript ; \